> For the complete documentation index, see [llms.txt](https://docs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akinon.com/technical-guides/3rd-party-integration/masterpass-integrations/masterpass-installment-integration.md).

# Masterpass Installment Integration

## <mark style="color:red;">**Installation**</mark> <mark style="color:red;">Integration</mark>

### <mark style="color:red;">**Preliminary Works**</mark>

The following information is requested from the provider for the brand-specific and production (live) environment.

* **API\_URL**

A secret\_key of at least 41 characters in length should be generated. The keys produced during the installation must be stored. Here is an example command to generate a random key:

```
openssl rand -base64 41
```

### <mark style="color:red;">**Environment Variables**</mark>

The extension installed to the relevant project in ACC must have the following environment variables. Environment variables can be entered before or after the deployment phase. As changes are made to the environment variables, the deployment process must be performed again.

| Variable                | Description                                                                                                                                       |
| ----------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| SECRET\_KEY             | Code received during the preliminary works phase                                                                                                  |
| ADMIN\_USERNAME         | A username can be entered (example: ‘akinon’)                                                                                                     |
| ADMIN\_PASSWORD         | A newly created and extension-specific strong password                                                                                            |
| TASK\_INTERVAL\_MINUTES | Update interval in minutes. Default: 10                                                                                                           |
| API\_URL                | API URL received during the preliminary works phase (without a trailing slash at the end) <https://mp-backend.masterpassturkiye.com/merchant/api> |

## <mark style="color:red;">**Omnitron Settings**</mark>

The installed extension must also be defined to the project via Omnitron.

### <mark style="color:red;">**Payment Options**</mark>

The config section of the payment option added to Omnitron should be configured as follows:

```
{
    #...
    "installment_slug": "masterpass"
}
```

### <mark style="color:red;">**Dynamic Settings - INSTALLMENT\_PROVIDERS**</mark>

```
{
    "masterpass": {
        "auth": {
            "base_url": "<EXTENSION_URL>/v1",
            "password": "<ADMIN_PASSWORD value in environment variables>",
            "username": "<ADMIN_USERNAME value in environment variables>"
        },
        "conf": {},
        "klass": "omnishop.payments.installment_services.providers.installment_extension.InstallmentExtensionClient"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.akinon.com/technical-guides/3rd-party-integration/masterpass-integrations/masterpass-installment-integration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
